=== debian/changelog ===
kf6-breeze-icons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Do not remove icons for Telegram any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:04 +0200
