## kf6-breeze-icons 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -10,7 +10,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -109,8 +109,21 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
 
 add_subdirectory(autotests)
+
+# declare both install dirs, icons will install fallback icons to dark, too!
+set(BREEZE_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze)
+set(BREEZE_DARK_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze-dark)
+
+# set and create the generation directories, we always need them
+set(ICON_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons)
+set(ICON_DARK_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons-dark)
+file(MAKE_DIRECTORY ${ICON_GEN_DIR})
+file(MAKE_DIRECTORY ${ICON_DARK_GEN_DIR})
+
+# generate and install both variants
 add_subdirectory(icons)
-add_subdirectory(icons-dark)
+
+# build the icon library and tools
 add_subdirectory(src)
 
 include(ECMFeatureSummary)
