## kf6-breeze-icons 6.19.0+p24.04+vstable+git20251011.0841

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(BreezeIcons VERSION ${KF_VERSION})
 
 # Disallow in-source build
@@ -47,27 +47,12 @@
 endif()
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION OFF)
 
-if(Python_FOUND)
-    # Find lxml Python 3 module
-    exec_program(${Python_EXECUTABLE}
-        ARGS "-c \"import lxml; from lxml import etree; print(lxml.get_include())\""
-        RETURN_VALUE LXML_NOT_FOUND # Returns 0 or false if successful
-    )
-
-    # Generating icons is not required, but strongly recommended in most cases
-    if(LXML_NOT_FOUND)
-        message(WARNING "lxml or lxml.etree not found; icon generation disabled")
-        set(WITH_ICON_GENERATION OFF)
-    else()
-        option(WITH_ICON_GENERATION "Icon generation" ON)
-    endif()
-else()
-    set(WITH_ICON_GENERATION OFF)
+# 24x24 generation (requires python)
+option(WITH_ICON_GENERATION "24x24 icon generation" ON)
+add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 icons, this feature requires Python 3 and the lxml Python 3 module.")
+if(WITH_ICON_GENERATION)
+    find_package(Python 3 COMPONENTS Interpreter REQUIRED)
 endif()
-
-add_feature_info("Icon generation" ${WITH_ICON_GENERATION} "for 24x24 and symbolic dark icons.
-   This feature requires Python 3 and the lxml Python 3 module."
-) # The exact amount of indentation used in the line(s) above is intentional
 
 # don't install the individual icons
 # useful if you only want to link with the generated icon library
@@ -108,23 +93,14 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/breezeicons_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BreezeIcons COMPONENT Devel)
 
-add_subdirectory(autotests)
-
-# declare both install dirs, icons will install fallback icons to dark, too!
-set(BREEZE_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze)
-set(BREEZE_DARK_INSTALL_DIR ${KDE_INSTALL_FULL_ICONDIR}/breeze-dark)
-
-# set and create the generation directories, we always need them
-set(ICON_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons)
-set(ICON_DARK_GEN_DIR ${CMAKE_BINARY_DIR}/breeze/icons-dark)
-file(MAKE_DIRECTORY ${ICON_GEN_DIR})
-file(MAKE_DIRECTORY ${ICON_DARK_GEN_DIR})
+# tools to generate icons and resources
+add_subdirectory(tools)
 
 # generate and install both variants
 add_subdirectory(icons)
 
-# build the icon library and tools
-add_subdirectory(src)
+# unit tests
+add_subdirectory(autotests)
 
 include(ECMFeatureSummary)
 ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES INCLUDE_QUIET_PACKAGES)
