## kf6-breeze-icons 6.19.0+p24.04+vstable+git20251028.0743

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vstable+git20251028.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:43:23 +0000
