## kf6-breeze-icons 6.19.0+p24.04+vunstable+git20251020.0152

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 include(ECMSetupVersion)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Gui)
 
 # Find Python 3
