=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vunstable+git20251020.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:52:28 +0000
