## kf6-breeze-icons 6.19.0+p24.04+vunstable+git20251021.0328

=== debian/changelog ===
kf6-breeze-icons (6.19.0+p24.04+vunstable+git20251021.0328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:28:14 +0000
