## kf6-breeze-icons 6.21.0+p24.04+vstable+git20251218.0112

=== debian/changelog ===
kf6-breeze-icons (6.21.0+p24.04+vstable+git20251218.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 01:12:06 +0000

kf6-breeze-icons (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:58 +1000
