## kf6-breeze-icons 6.21.0+p24.04+vunstable+git20251207.0747

=== debian/changelog ===
kf6-breeze-icons (6.21.0+p24.04+vunstable+git20251207.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:47:54 +0000
