=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vstable+git20260209.0204-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 02:04:08 +0000
