## kf6-breeze-icons 6.22.0+p24.04+vunstable+git20260202.1553

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vunstable+git20260202.1553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 15:53:27 +0000
