## kf6-breeze-icons 6.22.0+p24.04+vunstable+git20260209.0318

=== debian/changelog ===
kf6-breeze-icons (6.22.0+p24.04+vunstable+git20260209.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:19:02 +0000
